using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Enterprise
{
	public class YbEnterprise
	{
		[JsonPropertyName("enterpriseCode")]
		public string EnterpriseCode { get; set; }
		
		[JsonPropertyName("enterpriseName")]
		public string EnterpriseName { get; set; }
		
		[JsonPropertyName("specialTeamCode")]
		public string SpecialTeamCode { get; set; }
		
		[JsonPropertyName("specialTeamName")]
		public string SpecialTeamName { get; set; }
	}
	
	
	public class YbEnterprisePaged
	{
		[JsonPropertyName("records")]
		public List<YbEnterprise> Records { get; set; }
		
		[JsonPropertyName("total")]
		public int Total { get; set; }

		[JsonPropertyName("size")]
		public int Size { get; set; }

		[JsonPropertyName("current")]
		public int Current { get; set; }

		[JsonPropertyName("pages")]
		public int Pages { get; set; }
	}

}
